/*******************************************************************************
 *  Copyright CONSORTIUM COCKTAIL (www.cocktail.org), 1995, 2008
 *  
 *  This software is governed by the CeCILL license under French law and abiding
 *  by the rules of distribution of free software. You can use, modify and/or
 *  redistribute the software under the terms of the CeCILL license as circulated
 *  by CEA, CNRS and INRIA at the following URL "http://www.cecill.info".
 *  
 *  As a counterpart to the access to the source code and rights to copy, modify
 *  and redistribute granted by the license, users are provided only with a
 *  limited warranty and the software's author, the holder of the economic
 *  rights, and the successive licensors have only limited liability.
 *  
 *  In this respect, the user's attention is drawn to the risks associated with
 *  loading, using, modifying and/or developing or reproducing the software by
 *  the user in light of its specific status of free software, that may mean that
 *  it is complicated to manipulate, and that also therefore means that it is
 *  reserved for developers and experienced professionals having in-depth
 *  computer knowledge. Users are therefore encouraged to load and test the
 *  software's suitability as regards their requirements in conditions enabling
 *  the security of their systems and/or data to be ensured and, more generally,
 *  to use and operate it in the same conditions as regards security.
 *  
 *  The fact that you are presently reading this means that you have had
 *  knowledge of the CeCILL license and that you accept its terms.
 * 
 *******************************************************************************/

package org.cocktail.kaki.client.gui;

import com.webobjects.foundation.NSArray;

/**
 *
 * @author  cpinsard
 */
public class EditionsPersoView extends javax.swing.JDialog {

    /**
	 * 
	 */
	private static final long serialVersionUID = -851378419194716260L;

	/** Creates new form TemplateJDialog */
    public EditionsPersoView(java.awt.Frame parent, boolean modal) {
        super(parent, modal);
        initComponents();
        initGui();
    }

    /** This method is called from within the constructor to
     * initialize the form.
     * WARNING: Do NOT modify this code. The content of this method is
     * always regenerated by the Form Editor.
     */

    // <editor-fold defaultstate="collapsed" desc="Generated Code">//GEN-BEGIN:initComponents
    private void initComponents() {

        periodeDebut = new javax.swing.JComboBox();
        listeExercices = new javax.swing.JComboBox();
        jLabel1 = new javax.swing.JLabel();
        onglets = new javax.swing.JTabbedPane();
        jLabel3 = new javax.swing.JLabel();
        listeMinisteres = new javax.swing.JComboBox();
        periodeFin = new javax.swing.JComboBox();
        jLabel2 = new javax.swing.JLabel();

        setDefaultCloseOperation(javax.swing.WindowConstants.DISPOSE_ON_CLOSE);
        setTitle("KAKI - Gestion Editions Personnalisées");

        periodeDebut.setModel(new javax.swing.DefaultComboBoxModel(new String[] { "Item 1", "Item 2", "Item 3", "Item 4" }));
        periodeDebut.setFocusable(false);
        periodeDebut.addActionListener(new java.awt.event.ActionListener() {
            public void actionPerformed(java.awt.event.ActionEvent evt) {
                periodeDebutActionPerformed(evt);
            }
        });

        listeExercices.setModel(new javax.swing.DefaultComboBoxModel(new String[] { "Item 1", "Item 2", "Item 3", "Item 4" }));

        jLabel1.setHorizontalAlignment(javax.swing.SwingConstants.RIGHT);
        jLabel1.setText("Période : ");

        jLabel3.setHorizontalAlignment(javax.swing.SwingConstants.RIGHT);
        jLabel3.setText("Ministère :");

        listeMinisteres.setModel(new javax.swing.DefaultComboBoxModel(new String[] { "Item 1", "Item 2", "Item 3", "Item 4" }));

        periodeFin.setModel(new javax.swing.DefaultComboBoxModel(new String[] { "Item 1", "Item 2", "Item 3", "Item 4" }));
        periodeFin.setFocusable(false);
        periodeFin.addActionListener(new java.awt.event.ActionListener() {
            public void actionPerformed(java.awt.event.ActionEvent evt) {
                periodeFinActionPerformed(evt);
            }
        });

        jLabel2.setHorizontalAlignment(javax.swing.SwingConstants.CENTER);
        jLabel2.setText("à");

        org.jdesktop.layout.GroupLayout layout = new org.jdesktop.layout.GroupLayout(getContentPane());
        getContentPane().setLayout(layout);
        layout.setHorizontalGroup(
            layout.createParallelGroup(org.jdesktop.layout.GroupLayout.LEADING)
            .add(layout.createSequentialGroup()
                .add(layout.createParallelGroup(org.jdesktop.layout.GroupLayout.LEADING)
                    .add(layout.createSequentialGroup()
                        .add(20, 20, 20)
                        .add(onglets, org.jdesktop.layout.GroupLayout.DEFAULT_SIZE, 872, Short.MAX_VALUE))
                    .add(layout.createSequentialGroup()
                        .addContainerGap()
                        .add(jLabel1, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE, 55, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE)
                        .addPreferredGap(org.jdesktop.layout.LayoutStyle.RELATED)
                        .add(listeExercices, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE, 77, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE)
                        .addPreferredGap(org.jdesktop.layout.LayoutStyle.RELATED)
                        .add(periodeDebut, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE, 156, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE)
                        .addPreferredGap(org.jdesktop.layout.LayoutStyle.RELATED)
                        .add(jLabel2, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE, 27, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE)
                        .addPreferredGap(org.jdesktop.layout.LayoutStyle.RELATED)
                        .add(periodeFin, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE, 156, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE)
                        .addPreferredGap(org.jdesktop.layout.LayoutStyle.RELATED, 236, Short.MAX_VALUE)
                        .add(jLabel3, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE, 76, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE)
                        .addPreferredGap(org.jdesktop.layout.LayoutStyle.RELATED)
                        .add(listeMinisteres, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE, 77, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE)))
                .addContainerGap())
        );
        layout.setVerticalGroup(
            layout.createParallelGroup(org.jdesktop.layout.GroupLayout.LEADING)
            .add(layout.createSequentialGroup()
                .addContainerGap()
                .add(layout.createParallelGroup(org.jdesktop.layout.GroupLayout.CENTER)
                    .add(jLabel1)
                    .add(listeMinisteres, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE, org.jdesktop.layout.GroupLayout.DEFAULT_SIZE, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE)
                    .add(jLabel3)
                    .add(listeExercices, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE, org.jdesktop.layout.GroupLayout.DEFAULT_SIZE, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE)
                    .add(periodeDebut, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE, org.jdesktop.layout.GroupLayout.DEFAULT_SIZE, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE)
                    .add(jLabel2)
                    .add(periodeFin, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE, org.jdesktop.layout.GroupLayout.DEFAULT_SIZE, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE))
                .addPreferredGap(org.jdesktop.layout.LayoutStyle.UNRELATED)
                .add(onglets, org.jdesktop.layout.GroupLayout.DEFAULT_SIZE, 487, Short.MAX_VALUE)
                .addContainerGap())
        );

        java.awt.Dimension screenSize = java.awt.Toolkit.getDefaultToolkit().getScreenSize();
        setBounds((screenSize.width-910)/2, (screenSize.height-576)/2, 910, 576);
    }// </editor-fold>//GEN-END:initComponents

private void periodeDebutActionPerformed(java.awt.event.ActionEvent evt) {//GEN-FIRST:event_periodeDebutActionPerformed
// TODO add your handling code here:
}//GEN-LAST:event_periodeDebutActionPerformed

private void periodeFinActionPerformed(java.awt.event.ActionEvent evt) {//GEN-FIRST:event_periodeFinActionPerformed
    // TODO add your handling code here:
}//GEN-LAST:event_periodeFinActionPerformed

    /**
    * @param args the command line arguments
    */
    public static void main(String args[]) {
        java.awt.EventQueue.invokeLater(new Runnable() {
            public void run() {
                BudgetView dialog = new BudgetView(new javax.swing.JFrame(), true);
                dialog.addWindowListener(new java.awt.event.WindowAdapter() {
                    public void windowClosing(java.awt.event.WindowEvent e) {
                        System.exit(0);
                    }
                });
                dialog.setVisible(true);
            }
        });
    }

    // Variables declaration - do not modify//GEN-BEGIN:variables
    private javax.swing.JLabel jLabel1;
    private javax.swing.JLabel jLabel2;
    private javax.swing.JLabel jLabel3;
    protected javax.swing.JComboBox listeExercices;
    protected javax.swing.JComboBox listeMinisteres;
    protected javax.swing.JTabbedPane onglets;
    protected javax.swing.JComboBox periodeDebut;
    protected javax.swing.JComboBox periodeFin;
    // End of variables declaration//GEN-END:variables

        public javax.swing.JTabbedPane getOnglets() {
		return onglets;
	}

	public void setOnglets(javax.swing.JTabbedPane onglets) {
		this.onglets = onglets;
	}
        
    public void setListeExercices(NSArray exercices) {

        listeExercices.removeAllItems();
        for (int i=0;i<exercices.count();i++)
        	listeExercices.addItem(exercices.objectAtIndex(i));
    }

    public void setSelectedExercice(Object exercice) {
        listeExercices.setSelectedItem(exercice);
    }
    

    public void setPeriodeDebut(NSArray liste) {
        
        periodeDebut.removeAllItems();
        for (int i=0;i<liste.count();i++)
        	periodeDebut.addItem(liste.objectAtIndex(i));
    	
    }

    public void setPeriodeFin(NSArray liste) {
        
        periodeFin.removeAllItems();
        for (int i=0;i<liste.count();i++)
        	periodeFin.addItem(liste.objectAtIndex(i));
    	
    }

    
        public javax.swing.JComboBox getListeMinisteres() {
		return listeMinisteres;
	}

	public void setListeMinisteres(javax.swing.JComboBox listeMinisteres) {
		this.listeMinisteres = listeMinisteres;
	}

		public javax.swing.JComboBox getListeExercices() {
		return listeExercices;
	}

	public void setListeExercices(javax.swing.JComboBox listeExercices) {
		this.listeExercices = listeExercices;
	}



        public javax.swing.JComboBox getPeriodeDebut() {
		return periodeDebut;
	}

	public void setPeriodeDebut(javax.swing.JComboBox periodeDebut) {
		this.periodeDebut = periodeDebut;
	}

	public javax.swing.JComboBox getPeriodeFin() {
		return periodeFin;
	}

	public void setPeriodeFin(javax.swing.JComboBox periodeFin) {
		this.periodeFin = periodeFin;
	}

		public void setListeMinisteres(NSArray liste) {
        
        listeMinisteres.removeAllItems();
        listeMinisteres.addItem("*");
        for (int i=0;i<liste.count();i++)
        	listeMinisteres.addItem(liste.objectAtIndex(i));    	
    	
    }
       

	    
    private void initGui() {
        
        
    }
}
